GDB (xrefs)

Public Attributes | List of all members
recpy_record_object Struct Reference

`#include "py-record.h"`

## Public Attributes
PyObject_HEAD ptid_t | ptid
enum record_method | method

## Detailed Description

Definition at line 28 of file py-record.h.

## Member Data Documentation

## ◆ method

enum record_method recpy_record_object::method

Definition at line 36 of file py-record.h.

Referenced by gdbpy_current_recording(), recpy_begin(), recpy_end(), recpy_format(), recpy_function_call_history(), recpy_goto(), recpy_instruction_history(), recpy_method(), and recpy_replay_position().

## ◆ ptid

PyObject_HEAD ptid_t recpy_record_object::ptid

Definition at line 33 of file py-record.h.

Referenced by gdbpy_current_recording().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/python/py-record.h